commit:     772470aed21cbb55386e12b8cf02d4ffb5be896a
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 30 07:35:12 2019 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Mon Dec 30 09:59:15 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=772470ae

virtual/rust: add multilib for 1.40.0

Closes: https://github.com/gentoo/gentoo/pull/14177
Bug: https://bugs.gentoo.org/701362
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 virtual/rust/rust-1.40.0.ebuild | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/virtual/rust/rust-1.40.0.ebuild b/virtual/rust/rust-1.40.0.ebuild
index 64c77a7fa4e..a267eb017c2 100644
--- a/virtual/rust/rust-1.40.0.ebuild
+++ b/virtual/rust/rust-1.40.0.ebuild
@@ -3,6 +3,8 @@
 
 EAPI=7
 
+inherit multilib-build
+
 DESCRIPTION="Virtual for Rust language compiler"
 
 LICENSE=""
@@ -10,4 +12,4 @@ SLOT="0"
 KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
 
 BDEPEND=""
-RDEPEND="|| ( =dev-lang/rust-${PV}* =dev-lang/rust-bin-${PV}* )"
+RDEPEND="|| ( =dev-lang/rust-${PV}*[${MULTILIB_USEDEP}] 
=dev-lang/rust-bin-${PV}* )"

Reply via email to